#include <bits\stdc++.h>

using namespace std;
int n,m,br,x,l,r;
struct vaga{
    int d,u;
    };
vector<vaga>a;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cin>>n>>m;
    for(int i=0;i<n;i++){
        vaga y;
        cin>>y.d>>y.u;
        a.push_back(y);
    }
    for(int i=0;i<m;i++){
        cin>>l>>r>>x;
        for(i=l;i<=r;i++){
            if(a[i-1].d<=x||a[i-1].u>=x)br++;
        }
        cout<<br;
    }
    return 0;
}